aboutsummaryrefslogtreecommitdiffstats
path: root/main/libelf/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-10-04 10:45:55 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-10-04 10:45:55 +0000
commit7b06ef79f3591b8b902b95afeb88e31352ccbd21 (patch)
tree584d615d10b03fa5cfcc154b4caf3841f6005cd1 /main/libelf/APKBUILD
parent6fd87ed204ccc412a911fe960509f4abcd4c2680 (diff)
downloadaports-7b06ef79f3591b8b902b95afeb88e31352ccbd21.tar.gz
aports-7b06ef79f3591b8b902b95afeb88e31352ccbd21.tar.bz2
aports-7b06ef79f3591b8b902b95afeb88e31352ccbd21.tar.xz
main/libelf: fix musl build
Diffstat (limited to 'main/libelf/APKBUILD')
-rw-r--r--main/libelf/APKBUILD14
1 files changed, 11 insertions, 3 deletions
diff --git a/main/libelf/APKBUILD b/main/libelf/APKBUILD
index 6ca2d542fd..028bb54ecf 100644
--- a/main/libelf/APKBUILD
+++ b/main/libelf/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libelf
pkgver=0.8.13
-pkgrel=1
+pkgrel=2
pkgdesc="libelf is a free ELF object file access library"
url="http://www.mr511.de/software/"
arch="all"
@@ -11,8 +11,15 @@ makedepends=
subpackages="$pkgname-dev"
source="http://www.mr511.de/software/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -20,12 +27,13 @@ build() {
--enable-shared \
--enable-gnu-names \
--enable-compat \
+ --disable-nls \
|| return 1
make || return 1
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make install prefix="$pkgdir"/usr || return 1
}
md5sums="4136d7b4c04df68b686570afa26988ac libelf-0.8.13.tar.gz"